package ch.unige.solidify.util;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;

public abstract class SolidifyApplication extends SpringBootServletInitializer {
  protected static Class<?> applicationName;

  public static void launch(String[] args) {
    final SpringApplication springApplication = new SpringApplication(applicationName);
    springApplication.addListeners(new PropertiesLogger());
    springApplication.run(args);
  }

  @Override
  protected SpringApplicationBuilder configure(SpringApplicationBuilder application) {
    return application.sources(applicationName).listeners(new PropertiesLogger());
  }
}
